Subject: Re: Problems with PCI-E devices not being detected with switch

From: Stefan Roese <[email-masked]>
Date: Fri, 17 Oct 2008 09:22:38 +0200

On Friday 17 October 2008, Benjamin Herrenschmidt wrote:
> Ok, can you send me a full dmesg log with "debug" on the kernel command
> line after adding a #define DEBUG 1 to the top of drivers/pci/probe.c
> please ? (before the batch of #include).
>
> The generic code is _supposed_ to somewhat figure out that bridges
> haven't been setup by the firmware and fix that up, but for some reason
> it's not happening I think. Or something else is wrong ...
>
> Stefan, I could use the same log from your customer too.

OK. I'll try to provide those logs quickly.

Best regards,
Stefan